#ifndef TMHistogrammingFastorEq_H
#define TMHistogrammingFastorEq_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingFastorEq : public TMHistogramming {
 public:
  TMHistogrammingFastorEq(UInt_t eq);
  virtual ~TMHistogrammingFastorEq();
  
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  UInt_t  fEq;
  TH1F    *fTheHisto;

};

#endif
